---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Show all project stats

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "project_stat": {
        "type": "object",
        "description": "Entity that gives a select few stats of a project",
        "required": [
          "id",
          "project_id",
          "task_count",
          "priority_1_task_count",
          "priority_2_task_count",
          "priority_3_task_count",
          "sheet_count",
          "user_count",
          "created_at",
          "updated_at"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the entity"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project this entity belongs to"
          },
          "task_count": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Number of tasks in the project"
          },
          "priority_1_task_count": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Number of Priority 1 tasks in the project"
          },
          "priority_2_task_count": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Number of Priority 2 tasks in the project"
          },
          "priority_3_task_count": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Number of Priority 3 tasks in the project"
          },
          "sheet_count": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Number of sheets in the project"
          },
          "user_count": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Number of users in the project"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/project_stats": {
      "get": {
        "summary": "Show all project stats",
        "operationId": "get_project_stats",
        "tags": [
          "project stats"
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          },
          {
            "$ref": "#/components/parameters/api_version"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "created_at": "2026-10-02T14:51:14.151Z",
                    "updated_at": "2026-10-02T14:51:14.152Z",
                    "id": 6,
                    "project_id": "1726df4d-b5ab-44eb-a782-b5450815132b",
                    "user_count": 0,
                    "sheet_count": 0,
                    "priority_1_task_count": 0,
                    "priority_2_task_count": 0,
                    "priority_3_task_count": 0,
                    "task_count": 0
                  },
                  {
                    "created_at": "2026-10-02T14:51:14.172Z",
                    "updated_at": "2026-10-02T14:51:14.172Z",
                    "id": 7,
                    "project_id": "01bd18b8-1d94-4e94-8724-28d9e66f6969",
                    "user_count": 0,
                    "sheet_count": 0,
                    "priority_1_task_count": 0,
                    "priority_2_task_count": 0,
                    "priority_3_task_count": 0,
                    "task_count": 0
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/project_stat"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```